import * as React from "react";
export interface ExecuteOnMountProps {
    onDidMount(): any;
}
export declare class ExecuteOnMount extends React.Component<ExecuteOnMountProps> {
    componentDidMount(): Promise<void>;
    render(): JSX.Element;
}
